unit TestForm;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VCLTee.TeEngine,
  VCLTee.TeeSurfa, VCLTee.TeeTagCloud, VCLTee.TeeProcs, VCLTee.Chart,
  Vcl.StdCtrls, Vcl.ExtCtrls, VclTee.TeeTools;

type
  TForm3 = class(TForm)
    GridPanel1: TGridPanel;
    Memo1: TMemo;
    Chart: TChart;
	procedure FormActivate(Sender: TObject);
  private
	textRectangle: TRectangleTool;
  private
	procedure createTool();
  public
	{ Public-Deklarationen }
  end;

var
  Form3: TForm3;

implementation

uses
  System.UITypes;

{$R *.dfm}

procedure TForm3.FormActivate(Sender: TObject);
begin
	createTool();
end;

procedure TForm3.createTool();
begin
	textRectangle := TRectangleTool.Create(Chart);
	textRectangle.ParentChart := Chart;

	textRectangle.Shape.Font.Assign(Font);
	textRectangle.Shape.Font.Color := TColors.Black; // I have no clue why this is necessary

	textRectangle.Text := Memo1.Lines.Text;
	textRectangle.Bounds := textRectangle.ParentChart.ClientRect;
	textRectangle.Shape.Transparency := 0;

	Chart.Tools.Add(textRectangle);
end;

end.
